| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::FacePipelineRetrain Class Reference
Inheritance diagram for Digikam::FacePipelineRetrain:

## Public Member Functions
| FacePipelineRetrain (const FaceScanSettings &_settings)
bool | start () override
Public Member Functions inherited from Digikam::FacePipelineBase
| FacePipelineBase (const FaceScanSettings &_settings)
Public Member Functions inherited from Digikam::MLPipelineFoundation
virtual void | cancel ()
bool | hasFinished () const

## Protected Member Functions
void | addMoreWorkers () override
bool | classifier () override
bool | extractor () override
bool | finder () override
bool | loader () override
bool | trainer () override
bool | writer () override
Protected Member Functions inherited from Digikam::FacePipelineBase
bool | commonFaceThumbnailExtractor (const QString &pipelineName, QThread::Priority stagePriority, MLPipelineFoundation::MLPipelineStage thisStage, MLPipelineFoundation::MLPipelineStage nextStage, bool trainingQualityCheck=false)
bool | commonFaceThumbnailLoader (const QString &pipelineName, QThread::Priority stagePriority, MLPipelineFoundation::MLPipelineStage thisStage, MLPipelineFoundation::MLPipelineStage nextStage)
double | detectBlur (const cv::Mat &cvGrayImage) const
double | detectNoise1 (const cv::Mat &cvGrayImage) const
double | detectNoise2 (const cv::Mat &cvGrayImage) const
bool | enqueue (MLPipelineQueue *thisQueue, MLPipelinePackageFoundation *package) override
bool | useForTraining (const QSize &faceSize, const cv::Mat &image)
Protected Member Functions inherited from Digikam::MLPipelineFoundation
bool | addWorker (const MLPipelineStage &stage)
bool | checkMoreWorkers (int totalItemCount, int currentItemCount, bool useFullCpu)
void | clearAllQueues ()
virtual MLPipelinePackageFoundation * | dequeue (MLPipelineQueue *thisQueue)
void | emitSignalUpdateItemCount (const qlonglong itemCount)
| Helper methods to perform signal emitting through the MLPIPELINE_FINDER_END mocro with the moc processor.
virtual void | notify (MLPipelineNotification notification, const QString &_name, const QString &_path, const QString &_displayData, int _processed, const DImg &_thumbnail)
virtual void | notify (MLPipelineNotification notification, const QString &_name, const QString &_path, const QString &_displayData, int _processed, const QIcon &_thumbnail)
virtual void | notify (MLPipelineNotification notification, const QString &_name, const QString &_path, const QString &_displayData, int _processed, const QImage &_thumbnail)
void | pipelinePerformanceEnd (const MLPipelineStage &stage, int totalItemCount, QElapsedTimer &timer)
void | pipelinePerformanceEnd (const MLPipelineStage &stage, QElapsedTimer &timer)
void | pipelinePerformanceStart (const MLPipelineStage &stage, QElapsedTimer &timer)
| Methods to profile the Pipeline performance.
MLPipelinePackageFoundation * | queueEndSignal () const
| Queue helper functions.
void | showPipelinePerformance () const
void | stageEnd (MLPipelineStage thisStage, MLPipelineStage nextStage)
void | stageStart (QThread::Priority threadPriority, MLPipelineStage thisStage, MLPipelineStage nextStage, MLPipelineQueue *&thisQueue, MLPipelineQueue *&nextQueue)
void | waitForStart ()

## Additional Inherited Members
Public Types inherited from Digikam::FacePipelineBase
enum | FilterMode { ScanAll , ScanNew , TrainNew , TrainAll , TrainRemove , TrainReset }
enum | WriteMode { NormalWrite , OverwriteAllFaces , OverwriteUnconfirmed }
Public Types inherited from Digikam::MLPipelineFoundation
enum | MLPipelineNotification { notifySkipped , notifyProcessed }
typedef struct Digikam::MLPipelineFoundation::_MLPipelinePerformanceProfile | MLPipelinePerformanceProfile
typedef SharedQueue< MLPipelinePackageFoundation * > | MLPipelineQueue
enum | MLPipelineStage { Finder , Loader , Extractor , Classifier , Trainer , Writer , None }
Signals inherited from Digikam::MLPipelineFoundation
void | finished ()
| Emitted when the last package has finished processing.
void | processed (const MLPipelinePackageNotify::Ptr &package)
| Emitted when one package has finished processing.
void | processing (const MLPipelinePackageNotify::Ptr &package)
| Emitted when one package begins processing.
void | progressValueChanged (float progress)
void | scheduled ()
| Emitted when processing is scheduled.
void | signalAddMoreWorkers ()
void | signalUpdateItemCount (const qlonglong itemCount)
void | skipped (const MLPipelinePackageNotify::Ptr &package)
| Emitted when one or several packages were skipped, usually because they have already been scanned.
void | started (const QString &message)
| Emitted when processing has started.
Protected Attributes inherited from Digikam::FacePipelineBase
double | blurThreshold = 4.87F
DNNModelBase * | detectorModel = nullptr
const float | minThumbnailSize = 0.4F
double | noiseThreshold1 = 3.7
double | noiseThreshold2 = 1.89
FaceScanSettings | settings
Protected Attributes inherited from Digikam::MLPipelineFoundation
bool | cancelled = false
QAtomicInteger< int > | itemsProcessed = 0
quint64 | maxBufferSize = 2147483648
| 2 GB default
QIcon | missingIcon = QIcon::fromTheme(QLatin1String("image-missing"))
QMutex | mutex
QMap< MLPipelineStage, MLPipelinePerformanceProfile > | performanceProfileList
QElapsedTimer | pipelineTimer
QMap< MLPipelineStage, MLPipelineQueue * > | queues
QThreadPool * | threadPool = nullptr
QMutex | threadStageMutex
const int | throttledQueueDepth = 1
QAtomicInteger< int > | totalItemCount = 0
quint64 | usedBufferSize = 0
QList< QFutureWatcher< bool > * > | watchList

## Member Function Documentation

## ◆ addMoreWorkers()

void Digikam::FacePipelineRetrain::addMoreWorkers | ( |  | ) |
| override protected virtual

Implements Digikam::MLPipelineFoundation.

## ◆ classifier()

bool Digikam::FacePipelineRetrain::classifier | ( |  | ) |
| inline override protected virtual

Implements Digikam::MLPipelineFoundation.

## ◆ extractor()

bool Digikam::FacePipelineRetrain::extractor | ( |  | ) |
| override protected virtual

Implements Digikam::MLPipelineFoundation.

## ◆ finder()

bool Digikam::FacePipelineRetrain::finder | ( |  | ) |
| override protected virtual

Implements Digikam::MLPipelineFoundation.

## ◆ loader()

bool Digikam::FacePipelineRetrain::loader | ( |  | ) |
| override protected virtual

Implements Digikam::MLPipelineFoundation.

## ◆ start()

bool Digikam::FacePipelineRetrain::start | ( |  | ) |
| override virtual

Reimplemented from Digikam::MLPipelineFoundation.

## ◆ trainer()

bool Digikam::FacePipelineRetrain::trainer | ( |  | ) |
| inline override protected virtual

Implements Digikam::MLPipelineFoundation.

## ◆ writer()

bool Digikam::FacePipelineRetrain::writer | ( |  | ) |
| override protected virtual

Implements Digikam::MLPipelineFoundation.